## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate glycin
%global crate_version 0.1.0-beta.3

Name:           rust-glycin
Version:        0.1.0~beta.3
Release:        %autorelease
Summary:        Sandboxed image rendering

# https://gitlab.gnome.org/sophie-h/glycin/-/issues/15
License:        LGPL-2.1-only
URL:            https://crates.io/crates/glycin
Source:         %{crates_source %{crate} %{crate_version}}
# Add missing LICENSE file from upstream
# https://gitlab.gnome.org/sophie-h/glycin/-/merge_requests/9
Source1:        https://gitlab.gnome.org/sophie-h/glycin/-/raw/main/LICENSE
# Manually created patch for downstream crate metadata changes
# * Add autobins = false to avoid unwanted /usr/bin/test binary
Patch:          glycin-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Sandboxed image rendering.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{crate_version} -p1
# https://gitlab.gnome.org/sophie-h/glycin/-/merge_requests/9
cp %{SOURCE1} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.1.0~beta.3-4
- Update license to LGPL-2.1-only in Cargo.toml as well

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.1.0~beta.3-3
- Add better workaround for avoiding /usr/bin/test binary

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.1.0~beta.3-2
- Use LGPL-2.1-only for license until we get confirmation from upstream
  (rhbz#2233248)

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.1.0~beta.3-1
- Update to 0.1.0-beta.3

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.1.0~beta.2-3
- Drop an unwanted binary

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.1.0~beta.2-2
- Add missing LICENSE file from upstream

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.1.0~beta.2-1
- Update to 0.1.0-beta.2

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.1.0~beta.1-1
- Initial Fedora packaging (rhbz#2233248)
